Subject: [TR] Brad Penn

From: Bob Labuz <[email-masked]>
Date: Mon, 6 Jun 2016 13:16:32 -0400

For all you Brad Penn fans out there, Brad Penn 20/50 is now Penn Grade 
1 20/50. Received a call from the Penn Grade rep who helped me find a 
local dealer. Turned out to be a racing engine garage about 2 miles away 
from home. My previous supplier of Brad Penn went out of business.

I paid 75$ a case. The case still has Brad Penn as well as Penn Grade 
printed on the box.

Bob

** [email-masked] **

Archive: http://www.team.net/archive